<template>
  <span class="inline-flex">
    <button
      class="hover:text-primary-500 focus:outline-none transition duration-150 ease-in-out rounded-md"
      aria-label="Color Mode"
      @click="$colorMode.value === 'dark' ? ($colorMode.preference = 'light') : ($colorMode.preference = 'dark')"
    >
      <client-only>
        <IconLight v-if="$colorMode.value === 'light'" />
        <IconDark v-else />
      </client-only>
    </button>
  </span>
</template>
